Get an order with items and shipments
GET/v1/orders/:id
Read one order with its items, shipment events, and fulfillment details.
Requires orders.read.
Request and response fields at a glance
- Path parameters:
id(integer, required). - 200 response (application/json):
orderItems(array, required),id(number, required),orderIdInSaleChannel(string, required),orderIdInWarehouse(string),brandId(number, required),saleChannelId(number, required),customerId(number, required),orderDate(string, required),currency(string, required),totalAmount(number, required),subTotal(number),shippingCost(number),cashOnDeliveryCost(number),taxAmount(number),taxPercentage(number),discounts(array),fulfillmentModel(string),status(string, required),searchText(string),requestedShipmentCount(mixed),warehousePushAttemptedAt(mixed),createdAt(string, required),updatedAt(string, required),brand(object),saleChannel(object),shipments(array),customer(object).